Qyra
ReferenceUntagged

Upsert AI router config

Upsert the AI router configuration. Creates the row lazily on first save.

PUT/api/v1/org/aiRouter

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "projectUuids": [
    "string"
  ],
  "enabled": true
}

Responses

200 — Success

{
  "results": {
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "projectUuids": [
      "string"
    ],
    "enabled": true,
    "organizationUuid": "string",
    "routerUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}